summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Weber <xmw@gentoo.org>2016-02-19 22:45:29 +0100
committerMichael Weber <xmw@gentoo.org>2016-02-19 22:55:49 +0100
commitbb14be4e393875fb1cf094c6f70c2af042c388e9 (patch)
treea7cc9c30ec7866ebfd06a9d311787bd70eeb0d97 /sys-boot/raspberrypi-firmware
parentsys-boot/raspberrypi-firmware: drop old versions. (diff)
downloadgentoo-bb14be4e393875fb1cf094c6f70c2af042c388e9.tar.gz
gentoo-bb14be4e393875fb1cf094c6f70c2af042c388e9.tar.bz2
gentoo-bb14be4e393875fb1cf094c6f70c2af042c388e9.zip
sys-boot/raspberrypi-firmware: Version bump (bug 521920).
Package-Manager: portage-2.2.27
Diffstat (limited to 'sys-boot/raspberrypi-firmware')
-rw-r--r--sys-boot/raspberrypi-firmware/Manifest1
-rw-r--r--sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20160209.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/sys-boot/raspberrypi-firmware/Manifest b/sys-boot/raspberrypi-firmware/Manifest
index 0c1c0119ee8..f5238792cec 100644
--- a/sys-boot/raspberrypi-firmware/Manifest
+++ b/sys-boot/raspberrypi-firmware/Manifest
@@ -1,3 +1,4 @@
+DIST raspberrypi-firmware-1.20160209.tar.gz 114792438 SHA256 ca6a88db72e90ef821b8ca7755bbee9c1d5bdb9a621a45eb029af195d2d29751 SHA512 281092c11d422d821e5e2b0479c3b8f891f8df66cfbf931992902d759c99ed40cbb2d9fada1f944372e5bcd8af69784739e79e9912db3482892b10bf668611f2 WHIRLPOOL 81974a53562ee91544d7a01dc9f4f4173a6e882891f8cf744b700162ddd8f8607b1cfcbbde04cafe2bcea47489f9ea4fd8840adf776e806bef0dba574448e76e
DIST raspberrypi-firmware-b2dbc04508-bootcode.bin 17816 SHA256 f89d19c5287e566320ecd7e1d70d649f308a1b9d05a29d88a0768c3ba7a2bd14 SHA512 5332b2554cbdd3abb32f52506b851f7b3dc2c76a6f9040ec8ad946f6d9faf479e502dda11070aba7706d83e1c3839ff92ca8fbf8e79b972f91814dedbe19ea48 WHIRLPOOL 24e179152e392fc303e92cdfb8b4ef64e323736854bc826ddd0132a5652c9aa441027791781ff7f16fa7fb761485629977bd0882561b008fb66d4503be171e05
DIST raspberrypi-firmware-b2dbc04508-fixup.dat 5742 SHA256 98b57d8c03426e31d60a3cfb2e2f7c3388978ab1d5591e97f9b8c05c42d44634 SHA512 f701fce3db35bfcd204ca7130aa0db1a77a5c83815409ac0b85f1a57e495aea6cbdf81db985436b33b8862545a271743ea2edefd3b7c9ac0a5e5e30bafd206f3 WHIRLPOOL 7ec85f32fa966ba70fc4c2973588b94c4b48baf9bf0916f71b71171445c2defeebd19cd79f35369fc87c69c58e10fd927de553dc02c8fcf0baf8cc0a2fd9125c
DIST raspberrypi-firmware-b2dbc04508-fixup_cd.dat 2032 SHA256 98af02d14bc617af5d44be8c3e4d059e150b6de968dbff86a79cfa25eeaa2b57 SHA512 c6b8b6fb7bc99f77c3aee5d51e1e07a5f9c4119d2ec64ade335315c0c28a2f6d310463a48b0becb424198d3771dc079fda1c15bb03b18c125bfb1b32f5c9867f WHIRLPOOL 11b35f02cf50bc33b3a7d77066c7194ca0fa51b4d912e489ecc3097f300ab2604f404e7e18f29045236cb5df8d0e81fe466f991116c6df5bd58a77610a964cf5
diff --git a/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20160209.ebuild b/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20160209.ebuild
new file mode 100644
index 00000000000..4982885a739
--- /dev/null
+++ b/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20160209.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1_pre20130807.ebuild,v 1.1 2013/08/15 18:21:47 xmw Exp $
+
+EAPI=5
+
+inherit readme.gentoo
+
+DESCRIPTION="Raspberry PI boot loader and firmware"
+HOMEPAGE="https://github.com/raspberrypi/firmware"
+SRC_URI="https://github.com/raspberrypi/firmware/archive/1.20160209.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2 raspberrypi-videocore-bin"
+SLOT="0"
+KEYWORDS="~arm -*"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+S=${WORKDIR}/${P/raspberrypi-}
+
+RESTRICT="binchecks strip"
+
+pkg_preinst() {
+ if ! grep "${ROOT}boot" /proc/mounts >/dev/null 2>&1; then
+ ewarn "${ROOT}boot is not mounted, the files might not be installed at the right place"
+ fi
+}
+
+src_configure() { :; }
+
+src_compile() { :; }
+
+src_install() {
+ rm boot/{kernel{,7}.img,COPYING.linux,LICENCE.broadcom} || die
+ insinto /boot
+ doins -r boot/*
+
+ newenvd "${FILESDIR}"/${PN}-0_p20130711-envd 90${PN}
+ readme.gentoo_create_doc
+}
+
+DOC_CONTENTS=" config.txt and cmdline.txt need to be generated by you
+More information here:
+https://www.raspberrypi.org/documentation/configuration/config-txt.md
+Another good source http://elinux.org/RPi_config.txt
+http://elinux.org/RPi_cmdline.txt"